TEXC = latexmk -lualatex -output-directory=build

.PHONY: FORCE

all: sk build/main.pdf

sk:
	./sketch/sketch frustum.sk -o build/frustum.tex

build/main.pdf: main.tex FORCE
	$(TEXC) -latexoption=-shell-escape $<

compress: build/main.pdf
	cp build/main.pdf build/main.tmp.pdf
	# gs -sDEVICE=pdfwrite -dCompatibilityLevel=1.4 -dNOPAUSE -dQUIET -dBATCH -sOutputFile=build/main.pdf build/main.tmp.pdf
	rm build/main.tmp.pdf

push: compress
	scp -P2222 build/main.pdf pi@dragonrock.no-ip.org:web/dragonrock/rapport.pdf

clean: FORCE
	$(TEXC) -c

clean_all: FORCE
	$(RM) -fr build
